<?php
session_start(); // Initialize session data
ob_start(); // Turn on output buffering
?>
<?php include "ewcfg6.php" ?>
<?php include "ewmysql6.php" ?>
<?php include "phpfn6.php" ?>
<?php include "categoriainfo.php" ?>
<?php include "usuarioinfo.php" ?>
<?php include "userfn6.php" ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php

// Define page object
$categoria_view = new ccategoria_view();
$Page =& $categoria_view;

// Page init processing
$categoria_view->Page_Init();

// Page main processing
$categoria_view->Page_Main();
?>
<?php include "header.php" ?>
<?php if ($categoria->Export == "") { ?>
<script type="text/javascript">
<!--

// Create page object
var categoria_view = new ew_Page("categoria_view");

// page properties
categoria_view.PageID = "view"; // page ID
var EW_PAGE_ID = categoria_view.PageID; // for backward compatibility

// extend page with Form_CustomValidate function
categoria_view.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }
<?php if (EW_CLIENT_VALIDATE) { ?>
categoria_view.ValidateRequired = true; // uses JavaScript validation
<?php } else { ?>
categoria_view.ValidateRequired = false; // no JavaScript validation
<?php } ?>

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your client script here, no need to add script tags.
// To include another .js script, use:
// ew_ClientScriptInclude("my_javascript.js"); 
//-->

</script>
<?php } ?>
<p><span class="phpmaker"><img src='images/browse.gif' width='16' height='16' border='0' alt='Ver'> TABLA: categorias
<br><br>
<?php if ($categoria->Export == "") { ?>
<a href="categorialist.php">Regresar al Listado</a>&nbsp;
<?php if ($Security->IsLoggedIn()) { ?>
<a href="<?php echo $categoria->AddUrl() ?>"><img src='images/add.gif' width='16' height='16' border='0' alt='Agregar'></a>&nbsp;
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<a href="<?php echo $categoria->EditUrl() ?>"><img src='images/edit.gif' width='16' height='16' border='0' alt='Editar'></a>&nbsp;
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<a href="<?php echo $categoria->CopyUrl() ?>"><img src='images/copy.gif' width='16' height='16' border='0' alt='Copiar'></a>&nbsp;
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<a href="<?php echo $categoria->DeleteUrl() ?>"><img src='images/delete.gif' width='16' height='16' border='0' alt='Borrar'></a>&nbsp;
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<a href="linea_productolist.php?<?php echo EW_TABLE_SHOW_MASTER ?>=categoria&cod_categoria=<?php echo urlencode(strval($categoria->cod_categoria->CurrentValue)) ?>">lineas<img src='images/detail.gif' width='16' height='16' border='0' alt='Detalles'></a>
&nbsp;
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<a href="productolist.php?<?php echo EW_TABLE_SHOW_MASTER ?>=categoria&cod_categoria=<?php echo urlencode(strval($categoria->cod_categoria->CurrentValue)) ?>">productos<img src='images/detail.gif' width='16' height='16' border='0' alt='Detalles'></a>
&nbsp;
<?php } ?>
<?php } ?>
</span></p>
<?php $categoria_view->ShowMessage() ?>
<p>
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" class="ewTable">
<?php if ($categoria->cod_categoria->Visible) { // cod_categoria ?>
	<tr<?php echo $categoria->cod_categoria->RowAttributes ?>>
		<td class="ewTableHeader">cod.</td>
		<td<?php echo $categoria->cod_categoria->CellAttributes() ?>>
<div<?php echo $categoria->cod_categoria->ViewAttributes() ?>><?php echo $categoria->cod_categoria->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($categoria->des_categoria->Visible) { // des_categoria ?>
	<tr<?php echo $categoria->des_categoria->RowAttributes ?>>
		<td class="ewTableHeader">descripción</td>
		<td<?php echo $categoria->des_categoria->CellAttributes() ?>>
<div<?php echo $categoria->des_categoria->ViewAttributes() ?>><?php echo $categoria->des_categoria->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($categoria->des_imagen->Visible) { // des_imagen ?>
	<tr<?php echo $categoria->des_imagen->RowAttributes ?>>
		<td class="ewTableHeader">imagen</td>
		<td<?php echo $categoria->des_imagen->CellAttributes() ?>>
<?php if ($categoria->des_imagen->HrefValue <> "") { ?>
<?php if (!is_null($categoria->des_imagen->Upload->DbValue)) { ?>
<img src="<?php echo ew_UploadPathEx(FALSE, EW_UPLOAD_DEST_PATH) . $categoria->des_imagen->Upload->DbValue ?>" border=0<?php echo $categoria->des_imagen->ViewAttributes() ?>>
<?php } elseif (!in_array($categoria->CurrentAction, array("I", "edit", "gridedit"))) { ?>	
&nbsp;
<?php } ?>
<?php } else { ?>
<?php if (!is_null($categoria->des_imagen->Upload->DbValue)) { ?>
<img src="<?php echo ew_UploadPathEx(FALSE, EW_UPLOAD_DEST_PATH) . $categoria->des_imagen->Upload->DbValue ?>" border=0<?php echo $categoria->des_imagen->ViewAttributes() ?>>
<?php } elseif (!in_array($categoria->CurrentAction, array("I", "edit", "gridedit"))) { ?>	
&nbsp;
<?php } ?>
<?php } ?>
</td>
	</tr>
<?php } ?>
<?php if ($categoria->ind_activo->Visible) { // ind_activo ?>
	<tr<?php echo $categoria->ind_activo->RowAttributes ?>>
		<td class="ewTableHeader">ind activo</td>
		<td<?php echo $categoria->ind_activo->CellAttributes() ?>>
<div<?php echo $categoria->ind_activo->ViewAttributes() ?>><?php echo $categoria->ind_activo->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($categoria->margen->Visible) { // margen ?>
	<tr<?php echo $categoria->margen->RowAttributes ?>>
		<td class="ewTableHeader">margen</td>
		<td<?php echo $categoria->margen->CellAttributes() ?>>
<div<?php echo $categoria->margen->ViewAttributes() ?>><?php echo $categoria->margen->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($categoria->displayConf->Visible) { // displayConf ?>
	<tr<?php echo $categoria->displayConf->RowAttributes ?>>
		<td class="ewTableHeader">display Conf</td>
		<td<?php echo $categoria->displayConf->CellAttributes() ?>>
<div<?php echo $categoria->displayConf->ViewAttributes() ?>><?php echo $categoria->displayConf->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($categoria->displayCat->Visible) { // displayCat ?>
	<tr<?php echo $categoria->displayCat->RowAttributes ?>>
		<td class="ewTableHeader">cat</td>
		<td<?php echo $categoria->displayCat->CellAttributes() ?>>
<div<?php echo $categoria->displayCat->ViewAttributes() ?>><?php echo $categoria->displayCat->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($categoria->ind_cat->Visible) { // ind_cat ?>
	<tr<?php echo $categoria->ind_cat->RowAttributes ?>>
		<td class="ewTableHeader">ind cat</td>
		<td<?php echo $categoria->ind_cat->CellAttributes() ?>>
<div<?php echo $categoria->ind_cat->ViewAttributes() ?>><?php echo $categoria->ind_cat->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($categoria->orden->Visible) { // orden ?>
	<tr<?php echo $categoria->orden->RowAttributes ?>>
		<td class="ewTableHeader">orden</td>
		<td<?php echo $categoria->orden->CellAttributes() ?>>
<div<?php echo $categoria->orden->ViewAttributes() ?>><?php echo $categoria->orden->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($categoria->cod_usuario_registro->Visible) { // cod_usuario_registro ?>
	<tr<?php echo $categoria->cod_usuario_registro->RowAttributes ?>>
		<td class="ewTableHeader">cod usuario registro</td>
		<td<?php echo $categoria->cod_usuario_registro->CellAttributes() ?>>
<div<?php echo $categoria->cod_usuario_registro->ViewAttributes() ?>><?php echo $categoria->cod_usuario_registro->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($categoria->fec_registro->Visible) { // fec_registro ?>
	<tr<?php echo $categoria->fec_registro->RowAttributes ?>>
		<td class="ewTableHeader">fec registro</td>
		<td<?php echo $categoria->fec_registro->CellAttributes() ?>>
<div<?php echo $categoria->fec_registro->ViewAttributes() ?>><?php echo $categoria->fec_registro->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($categoria->cod_usuario_modificacion->Visible) { // cod_usuario_modificacion ?>
	<tr<?php echo $categoria->cod_usuario_modificacion->RowAttributes ?>>
		<td class="ewTableHeader">cod usuario modificacion</td>
		<td<?php echo $categoria->cod_usuario_modificacion->CellAttributes() ?>>
<div<?php echo $categoria->cod_usuario_modificacion->ViewAttributes() ?>><?php echo $categoria->cod_usuario_modificacion->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($categoria->fec_ultima_modificacion->Visible) { // fec_ultima_modificacion ?>
	<tr<?php echo $categoria->fec_ultima_modificacion->RowAttributes ?>>
		<td class="ewTableHeader">fec ultima modificacion</td>
		<td<?php echo $categoria->fec_ultima_modificacion->CellAttributes() ?>>
<div<?php echo $categoria->fec_ultima_modificacion->ViewAttributes() ?>><?php echo $categoria->fec_ultima_modificacion->ViewValue ?></div></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<?php if ($categoria->Export == "") { ?>
<script language="JavaScript" type="text/javascript">
<!--

// Write your table-specific startup script here
// document.write("page loaded");
//-->

</script>
<?php } ?>
<?php include "footer.php" ?>
<?php

//
// Page Class
//
class ccategoria_view {

	// Page ID
	var $PageID = 'view';

	// Table Name
	var $TableName = 'categoria';

	// Page Object Name
	var $PageObjName = 'categoria_view';

	// Page Name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page Url
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		global $categoria;
		if ($categoria->UseTokenInUrl) $PageUrl .= "t=" . $categoria->TableVar . "&"; // add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		if (@$_SESSION[EW_SESSION_MESSAGE] <> "") { // Append
			$_SESSION[EW_SESSION_MESSAGE] .= "<br>" . $v;
		} else {
			$_SESSION[EW_SESSION_MESSAGE] = $v;
		}
	}

	// Show Message
	function ShowMessage() {
		if ($this->getMessage() <> "") { // Message in Session, display
			echo "<p><span class=\"ewMessage\">" . $this->getMessage() . "</span></p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}
	}

	// Validate Page request
	function IsPageRequest() {
		global $objForm, $categoria;
		if ($categoria->UseTokenInUrl) {

			//IsPageRequest = False
			if ($objForm)
				return ($categoria->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($categoria->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	//  Class initialize
	//  - init objects
	//  - open connection
	//
	function ccategoria_view() {
		global $conn;

		// Initialize table object
		$GLOBALS["categoria"] = new ccategoria();

		// Initialize other table object
		$GLOBALS['usuario'] = new cusuario();

		// Intialize page id (for backward compatibility)
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'view', TRUE);

		// Initialize table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'categoria', TRUE);

		// Open connection to the database
		$conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $categoria;
		global $Security;
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if (!$Security->IsLoggedIn()) {
			$Security->SaveLastUrl();
			$this->Page_Terminate("login.php");
		}

		// Global page loading event (in userfn6.php)
		Page_Loading();

		// Page load event, used in current page
		$this->Page_Load();
	}

	//
	//  Page_Terminate
	//  - called when exit page
	//  - if URL specified, redirect to the URL
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page unload event, used in current page
		$this->Page_Unload();

		// Global page unloaded event (in userfn*.php)
		Page_Unloaded();

		 // Close Connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			ob_end_clean();
			header("Location: $url");
		}
		exit();
	}
	var $lDisplayRecs; // Number of display records
	var $lStartRec;
	var $lStopRec;
	var $lTotalRecs;
	var $lRecRange;
	var $lRecCnt;

	//
	// Page main processing
	//
	function Page_Main() {
		global $categoria;
		$sReturnUrl = "";
		$bMatchRecord = FALSE;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET["cod_categoria"] <> "") {
				$categoria->cod_categoria->setQueryStringValue($_GET["cod_categoria"]);
			} else {
				$sReturnUrl = "categorialist.php"; // Return to list
			}

			// Get action
			$categoria->CurrentAction = "I"; // Display form
			switch ($categoria->CurrentAction) {
				case "I": // Get a record to display
					if (!$this->LoadRow()) { // Load record based on key
						$this->setMessage("No se encontraron registros"); // Set no record message
						$sReturnUrl = "categorialist.php"; // No matching record, return to list
					}
			}
		} else {
			$sReturnUrl = "categorialist.php"; // Not page request, return to list
		}
		if ($sReturnUrl <> "")
			$this->Page_Terminate($sReturnUrl);

		// Render row
		$categoria->RowType = EW_ROWTYPE_VIEW;
		$this->RenderRow();
	}

	// Set up Starting Record parameters based on Pager Navigation
	function SetUpStartRec() {
		global $categoria;
		if ($this->lDisplayRecs == 0)
			return;
		if ($this->IsPageRequest()) { // Validate request			
			if (@$_GET[EW_TABLE_START_REC] <> "") { // Check for "start" parameter
				$this->lStartRec = $_GET[EW_TABLE_START_REC];
				$categoria->setStartRecordNumber($this->lStartRec);
			} elseif (@$_GET[EW_TABLE_PAGE_NO] <> "") {
				$this->nPageNo = $_GET[EW_TABLE_PAGE_NO];
				if (is_numeric($this->nPageNo)) {
					$this->lStartRec = ($this->nPageNo-1)*$this->lDisplayRecs+1;
					if ($this->lStartRec <= 0) {
						$this->lStartRec = 1;
					} elseif ($this->lStartRec >= intval(($this->lTotalRecs-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1) {
						$this->lStartRec = intval(($this->lTotalRecs-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1;
					}
					$categoria->setStartRecordNumber($this->lStartRec);
				}
			}
		}
		$this->lStartRec = $categoria->getStartRecordNumber();

		// Check if correct start record counter
		if (!is_numeric($this->lStartRec) || $this->lStartRec == "") { // Avoid invalid start record counter
			$this->lStartRec = 1; // Reset start record counter
			$categoria->setStartRecordNumber($this->lStartRec);
		} elseif (intval($this->lStartRec) > intval($this->lTotalRecs)) { // Avoid starting record > total records
			$this->lStartRec = intval(($this->lTotalRecs-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1; // Point to last page first record
			$categoria->setStartRecordNumber($this->lStartRec);
		} elseif (($this->lStartRec-1) % $this->lDisplayRecs <> 0) {
			$this->lStartRec = intval(($this->lStartRec-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1; // Point to page boundary
			$categoria->setStartRecordNumber($this->lStartRec);
		}
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $categoria;
		$sFilter = $categoria->KeyFilter();

		// Call Row Selecting event
		$categoria->Row_Selecting($sFilter);

		// Load sql based on filter
		$categoria->CurrentFilter = $sFilter;
		$sSql = $categoria->SQL();
		if ($rs = $conn->Execute($sSql)) {
			if ($rs->EOF) {
				$LoadRow = FALSE;
			} else {
				$LoadRow = TRUE;
				$rs->MoveFirst();
				$this->LoadRowValues($rs); // Load row values

				// Call Row Selected event
				$categoria->Row_Selected($rs);
			}
			$rs->Close();
		} else {
			$LoadRow = FALSE;
		}
		return $LoadRow;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $categoria;
		$categoria->cod_categoria->setDbValue($rs->fields('cod_categoria'));
		$categoria->des_categoria->setDbValue($rs->fields('des_categoria'));
		$categoria->des_imagen->Upload->DbValue = $rs->fields('des_imagen');
		$categoria->ind_activo->setDbValue($rs->fields('ind_activo'));
		$categoria->margen->setDbValue($rs->fields('margen'));
		$categoria->displayConf->setDbValue($rs->fields('displayConf'));
		$categoria->displayCat->setDbValue($rs->fields('displayCat'));
		$categoria->ind_cat->setDbValue($rs->fields('ind_cat'));
		$categoria->orden->setDbValue($rs->fields('orden'));
		$categoria->cod_usuario_registro->setDbValue($rs->fields('cod_usuario_registro'));
		$categoria->fec_registro->setDbValue($rs->fields('fec_registro'));
		$categoria->cod_usuario_modificacion->setDbValue($rs->fields('cod_usuario_modificacion'));
		$categoria->fec_ultima_modificacion->setDbValue($rs->fields('fec_ultima_modificacion'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $categoria;

		// Call Row_Rendering event
		$categoria->Row_Rendering();

		// Common render codes for all row types
		// cod_categoria

		$categoria->cod_categoria->CellCssStyle = "";
		$categoria->cod_categoria->CellCssClass = "";

		// des_categoria
		$categoria->des_categoria->CellCssStyle = "";
		$categoria->des_categoria->CellCssClass = "";

		// des_imagen
		$categoria->des_imagen->CellCssStyle = "";
		$categoria->des_imagen->CellCssClass = "";

		// ind_activo
		$categoria->ind_activo->CellCssStyle = "";
		$categoria->ind_activo->CellCssClass = "";

		// margen
		$categoria->margen->CellCssStyle = "";
		$categoria->margen->CellCssClass = "";

		// displayConf
		$categoria->displayConf->CellCssStyle = "";
		$categoria->displayConf->CellCssClass = "";

		// displayCat
		$categoria->displayCat->CellCssStyle = "";
		$categoria->displayCat->CellCssClass = "";

		// ind_cat
		$categoria->ind_cat->CellCssStyle = "";
		$categoria->ind_cat->CellCssClass = "";

		// orden
		$categoria->orden->CellCssStyle = "";
		$categoria->orden->CellCssClass = "";

		// cod_usuario_registro
		$categoria->cod_usuario_registro->CellCssStyle = "";
		$categoria->cod_usuario_registro->CellCssClass = "";

		// fec_registro
		$categoria->fec_registro->CellCssStyle = "";
		$categoria->fec_registro->CellCssClass = "";

		// cod_usuario_modificacion
		$categoria->cod_usuario_modificacion->CellCssStyle = "";
		$categoria->cod_usuario_modificacion->CellCssClass = "";

		// fec_ultima_modificacion
		$categoria->fec_ultima_modificacion->CellCssStyle = "";
		$categoria->fec_ultima_modificacion->CellCssClass = "";
		if ($categoria->RowType == EW_ROWTYPE_VIEW) { // View row

			// cod_categoria
			$categoria->cod_categoria->ViewValue = $categoria->cod_categoria->CurrentValue;
			$categoria->cod_categoria->CssStyle = "";
			$categoria->cod_categoria->CssClass = "";
			$categoria->cod_categoria->ViewCustomAttributes = "";

			// des_categoria
			$categoria->des_categoria->ViewValue = $categoria->des_categoria->CurrentValue;
			$categoria->des_categoria->CssStyle = "";
			$categoria->des_categoria->CssClass = "";
			$categoria->des_categoria->ViewCustomAttributes = "";

			// des_imagen
			if (!is_null($categoria->des_imagen->Upload->DbValue)) {
				$categoria->des_imagen->ViewValue = $categoria->des_imagen->Upload->DbValue;
				$categoria->des_imagen->ImageWidth = 120;
				$categoria->des_imagen->ImageHeight = 0;
				$categoria->des_imagen->ImageAlt = "";
			} else {
				$categoria->des_imagen->ViewValue = "";
			}
			$categoria->des_imagen->CssStyle = "";
			$categoria->des_imagen->CssClass = "";
			$categoria->des_imagen->ViewCustomAttributes = "";

			// ind_activo
			$categoria->ind_activo->ViewValue = $categoria->ind_activo->CurrentValue;
			$categoria->ind_activo->CssStyle = "";
			$categoria->ind_activo->CssClass = "";
			$categoria->ind_activo->ViewCustomAttributes = "";

			// margen
			$categoria->margen->ViewValue = $categoria->margen->CurrentValue;
			$categoria->margen->CssStyle = "";
			$categoria->margen->CssClass = "";
			$categoria->margen->ViewCustomAttributes = "";

			// displayConf
			if (strval($categoria->displayConf->CurrentValue) <> "") {
				switch ($categoria->displayConf->CurrentValue) {
					case "1":
						$categoria->displayConf->ViewValue = "Si";
						break;
					case "0":
						$categoria->displayConf->ViewValue = "No";
						break;
					default:
						$categoria->displayConf->ViewValue = $categoria->displayConf->CurrentValue;
				}
			} else {
				$categoria->displayConf->ViewValue = NULL;
			}
			$categoria->displayConf->CssStyle = "";
			$categoria->displayConf->CssClass = "";
			$categoria->displayConf->ViewCustomAttributes = "";

			// displayCat
			if (strval($categoria->displayCat->CurrentValue) <> "") {
				switch ($categoria->displayCat->CurrentValue) {
					case "1":
						$categoria->displayCat->ViewValue = "Si";
						break;
					case "0":
						$categoria->displayCat->ViewValue = "No";
						break;
					default:
						$categoria->displayCat->ViewValue = $categoria->displayCat->CurrentValue;
				}
			} else {
				$categoria->displayCat->ViewValue = NULL;
			}
			$categoria->displayCat->CssStyle = "";
			$categoria->displayCat->CssClass = "";
			$categoria->displayCat->ViewCustomAttributes = "";

			// ind_cat
			$categoria->ind_cat->ViewValue = $categoria->ind_cat->CurrentValue;
			$categoria->ind_cat->CssStyle = "";
			$categoria->ind_cat->CssClass = "";
			$categoria->ind_cat->ViewCustomAttributes = "";

			// orden
			$categoria->orden->ViewValue = $categoria->orden->CurrentValue;
			$categoria->orden->CssStyle = "";
			$categoria->orden->CssClass = "";
			$categoria->orden->ViewCustomAttributes = "";

			// cod_usuario_registro
			$categoria->cod_usuario_registro->ViewValue = $categoria->cod_usuario_registro->CurrentValue;
			$categoria->cod_usuario_registro->CssStyle = "";
			$categoria->cod_usuario_registro->CssClass = "";
			$categoria->cod_usuario_registro->ViewCustomAttributes = "";

			// fec_registro
			$categoria->fec_registro->ViewValue = $categoria->fec_registro->CurrentValue;
			$categoria->fec_registro->ViewValue = ew_FormatDateTime($categoria->fec_registro->ViewValue, 5);
			$categoria->fec_registro->CssStyle = "";
			$categoria->fec_registro->CssClass = "";
			$categoria->fec_registro->ViewCustomAttributes = "";

			// cod_usuario_modificacion
			$categoria->cod_usuario_modificacion->ViewValue = $categoria->cod_usuario_modificacion->CurrentValue;
			$categoria->cod_usuario_modificacion->CssStyle = "";
			$categoria->cod_usuario_modificacion->CssClass = "";
			$categoria->cod_usuario_modificacion->ViewCustomAttributes = "";

			// fec_ultima_modificacion
			$categoria->fec_ultima_modificacion->ViewValue = $categoria->fec_ultima_modificacion->CurrentValue;
			$categoria->fec_ultima_modificacion->ViewValue = ew_FormatDateTime($categoria->fec_ultima_modificacion->ViewValue, 5);
			$categoria->fec_ultima_modificacion->CssStyle = "";
			$categoria->fec_ultima_modificacion->CssClass = "";
			$categoria->fec_ultima_modificacion->ViewCustomAttributes = "";

			// cod_categoria
			$categoria->cod_categoria->HrefValue = "";

			// des_categoria
			$categoria->des_categoria->HrefValue = "";

			// des_imagen
			$categoria->des_imagen->HrefValue = "";

			// ind_activo
			$categoria->ind_activo->HrefValue = "";

			// margen
			$categoria->margen->HrefValue = "";

			// displayConf
			$categoria->displayConf->HrefValue = "";

			// displayCat
			$categoria->displayCat->HrefValue = "";

			// ind_cat
			$categoria->ind_cat->HrefValue = "";

			// orden
			$categoria->orden->HrefValue = "";

			// cod_usuario_registro
			$categoria->cod_usuario_registro->HrefValue = "";

			// fec_registro
			$categoria->fec_registro->HrefValue = "";

			// cod_usuario_modificacion
			$categoria->cod_usuario_modificacion->HrefValue = "";

			// fec_ultima_modificacion
			$categoria->fec_ultima_modificacion->HrefValue = "";
		}

		// Call Row Rendered event
		$categoria->Row_Rendered();
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}
}
?>
